Holger's Java API

## com.antelmann.util.table
Class WrappedTableCellRenderer

    java.lang.Object
      com.antelmann.util.table.WrappedTableCellRenderer

All Implemented Interfaces:
  Wrapped<TableCellRenderer>, TableCellRenderer

    public class WrappedTableCellRenderer

extends Object
implements TableCellRenderer, Wrapped<TableCellRenderer>

allows to easily adjust the behavior of a given renderer

Since:
  13.08.2015, 21:32:06
Author:
  holger

Constructor Summary
`WrappedTableCellRenderer(TableCellRenderer renderer)`
`WrappedTableCellRenderer(TableCellRenderer renderer, Handler<JLabel,RuntimeException> labelHandler)`
`WrappedTableCellRenderer(TableCellRenderer renderer, Processor<Component,RuntimeException> customizer)`

Method Summary
`protected void` `customizeLabel(JLabel label)` called after the processor (if available) was called and if the component is indeed a JLabel
`Processor<Component,RuntimeException>` `getCustomizer()`
`Handler<JLabel,RuntimeException>` `getLabelHandler()`
`Component` `getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column)`
`void` `setCustomizer(Processor<Component,RuntimeException> customizer)`
`void` `setLabelHandler(Handler<JLabel,RuntimeException> labelHandler)`
`TableCellRenderer` `unwrap()` returns the embedded instance that this wrapper encloses

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WrappedTableCellRenderer

    public WrappedTableCellRenderer(TableCellRenderer renderer)

### WrappedTableCellRenderer

    public WrappedTableCellRenderer(TableCellRenderer renderer,
                                    Handler<JLabel,RuntimeException> labelHandler)

### WrappedTableCellRenderer

    public WrappedTableCellRenderer(TableCellRenderer renderer,
                                    Processor<Component,RuntimeException> customizer)

Method Detail

### unwrap

    public TableCellRenderer unwrap()

  Description copied from interface: `Wrapped`
  returns the embedded instance that this wrapper encloses

  Specified by:
    `unwrap` in interface `Wrapped<TableCellRenderer>`

### getCustomizer

    public Processor<Component,RuntimeException> getCustomizer()

### setCustomizer

    public void setCustomizer(Processor<Component,RuntimeException> customizer)

### getTableCellRendererComponent

    public Component getTableCellRendererComponent(JTable table,
                                                   Object value,
                                                   boolean isSelected,
                                                   boolean hasFocus,
                                                   int row,
                                                   int column)

  Specified by:
    `getTableCellRendererComponent` in interface `TableCellRenderer`

### getLabelHandler

    public Handler<JLabel,RuntimeException> getLabelHandler()

### setLabelHandler

    public void setLabelHandler(Handler<JLabel,RuntimeException> labelHandler)
                         throws IllegalStateException

  Throws:
    `IllegalStateException`

### customizeLabel

    protected void customizeLabel(JLabel label)

  called after the processor (if available) was called and if the component is indeed a JLabel

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads